package com.caimei.module.base.entity.po;

import lombok.Data;

import java.io.Serializable;

/**
 * address
 * @author
 */
@Data
public class Address implements Serializable {
    /**
     * 用户地址ID
     */
    private Integer addressID;

    /**
     * 用户ID
     */
    private Integer userID;

    /**
     * 收货人
     */
    private String shouHuoRen;

    /**
     * 区ID
     */
    private Integer townID;

    /**
     * 地址
     */
    private String address;

    /**
     * 邮编
     */
    private String postalCode;

    /**
     * 电话
     */
    private String phone;

    /**
     * 手机
     */
    private String mobile;


    /**
     * 城市ID
     */
    private Integer cityID;


    /**
     * 省ID
     */
    private Integer provinceID;

    /**
     * 是否默认收货地址(0 不是默认,1 默认)
     */
    private String defaultFlag;

    private static final long serialVersionUID = 1L;
}
